| Home | Libraries | People | FAQ | More

## Function template operator<

boost::movelib::operator<

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T, typename D>
      bool operator<(const unique_ptr< T, D > & x, std::nullptr_t);

## Description

Requires: `operator` shall induce a strict weak ordering on unique_ptr<T, D>::pointer values.

Returns: Returns `x.get() < pointer()`.